<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
<div id="membership">

  <section>
    <form (ngSubmit)="formSubmit(form.value)" [formGroup]="form">
      <mat-card>
        <h2 class="mat-h1">Enregistrement d'une nouvelle adhésion</h2>
        <mat-form-field>
          <mat-select *ngIf="memberShipTypes" formControlName="membership" placeholder="Type d'adhésion" required>
            <mat-option *ngFor="let type of memberShipTypes" [value]="type.name" autofilled="true">{{type.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <br>
        <mat-slide-toggle formControlName="valid">Adhésion valide</mat-slide-toggle>
        <br>
        <mat-form-field>
          <mat-select formControlName="payment_method" placeholder="Moyen de paiement" required>
            <mat-option autofill="true" value="3">Chèque</mat-option>
            <mat-option value="2">Espèces</mat-option>
            <mat-option value="1">CB</mat-option>
          </mat-select>
        </mat-form-field>
      </mat-card>
      <br>
      <button [disabled]="boutonInactif" color="primary" mat-raised-button>Enregistrer</button>
    </form>
  </section>
</div>


